MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030004Open CASCADE[OCCT] OCCT:Visualizationpublic2018-07-31 17:372018-09-06 11:55
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030004: Visualization, AIS_Manipulator - disable detection of Rotating circle when picking ray lies on its plane
DescriptionAt specific camera positions, rotation circle(s) become almost not visible and useless for rotating object. However, currently, they remain selectable and makes translation difficult (easy to pick merely visible rotation circle leading to jumped transformation).

Note that ideally rotation circle might be automatically hidden in this case, but this is subject of another issue.
Steps To Reproducev3d/manipulator/rotate: image rotate_2.png
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0078246)
git (administrator)
2018-07-31 17:40

Branch CR30004 has been created by kgv.

SHA-1: 32ec459f03b392fb3204e312aa72cc5c5a23c1f6


Detailed log of new commits:

Author: kgv
Date: Tue Jul 31 17:37:49 2018 +0300

    0030004: Visualization, AIS_Manipulator - disable detection of Rotating circle when picking ray lies on its plane
(0078247)
kgv (developer)
2018-07-31 17:42
edited on: 2018-07-31 19:07

Patch is ready for review.

http://jenkins-test-11.nnov.opencascade.com/view/CR30004-master-KGV/ [^]

(0078271)
san (developer)
2018-08-01 16:19

Branch CR30004 reviewed without remarks.
(0078284)
bugmaster (administrator)
2018-08-01 18:12

Combination -
OCCT branch : CR30004 SHA - 32ec459f03b392fb3204e312aa72cc5c5a23c1f6
Products branch : master SHA - 97b66d6e660c8b607e4ccc173c338a77607ffd43
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 17591.69000000003 / 17494.89999999983 [+0.55%]
Products
Total CPU difference: 7430.0800000000345 / 7448.560000000025 [-0.25%]
Windows-64-VC10:
OCCT
Total CPU difference: 17508.91263589853 / 17528.038358498525 [-0.11%]
Products
Total CPU difference: 8181.597245799896 / 8169.694369499867 [+0.15%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0078382)
git (administrator)
2018-08-04 17:09

Branch CR30004 has been deleted by inv.

SHA-1: 32ec459f03b392fb3204e312aa72cc5c5a23c1f6

- Related Changesets
occt: master b11aef43
Timestamp: 2018-07-31 14:37:49
Author: kgv
Committer: bugmaster
Details ] Diff ]
0030004: Visualization, AIS_Manipulator - disable detection of Rotating circle when picking ray lies on its plane
mod - src/AIS/AIS_Manipulator.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-07-31 17:37 kgv New Issue
2018-07-31 17:37 kgv Assigned To => kgv
2018-07-31 17:38 kgv Description Updated View Revisions
2018-07-31 17:40 git Note Added: 0078246
2018-07-31 17:41 kgv Relationship added child of 0030002
2018-07-31 17:42 kgv Note Added: 0078247
2018-07-31 17:42 kgv Assigned To kgv => san
2018-07-31 17:42 kgv Status new => resolved
2018-07-31 17:42 kgv Product Version => 7.2.0
2018-07-31 19:07 kgv Note Edited: 0078247 View Revisions
2018-07-31 19:07 kgv Steps to Reproduce Updated View Revisions
2018-08-01 16:19 san Note Added: 0078271
2018-08-01 16:19 san Assigned To san => bugmaster
2018-08-01 16:19 san Status resolved => reviewed
2018-08-01 18:12 bugmaster Test case number => Not needed
2018-08-01 18:12 bugmaster Note Added: 0078284
2018-08-01 18:12 bugmaster Status reviewed => tested
2018-08-04 16:51 bugmaster Changeset attached => occt master b11aef43
2018-08-04 16:51 bugmaster Status tested => verified
2018-08-04 16:51 bugmaster Resolution open => fixed
2018-08-04 17:09 git Note Added: 0078382
2018-09-06 11:55 mkr Relationship added parent of 0030114


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker